Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class Stepdoc

    java.lang.Object
      org.jbehave.core.steps.Stepdoc

All Implemented Interfaces:
  Comparable<Stepdoc>

    public class Stepdoc

extends Object
implements Comparable<Stepdoc>

A Stepdoc represents the documentation on a single `StepCandidate`, which includes:

- the step type
- the pattern to match the step candidate that is configured in the annotation
- the method in the steps instance class
- the steps instance class

Constructor Summary
`Stepdoc(StepCandidate candidate)`

Method Summary
`int` | `compareTo(Stepdoc that)`
`Method` | `getMethod()`
`String` | `getMethodSignature()` Method signature without "public void" prefix
`String` | `getPattern()`
`String` | `getStartingWord()`
`Object` | `getStepsInstance()`
`StepType` | `getStepType()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Stepdoc

    public Stepdoc(StepCandidate candidate)

Method Detail

### getStepType

    public StepType getStepType()

### getStartingWord

    public String getStartingWord()

### getPattern

    public String getPattern()

### getMethod

    public Method getMethod()

### getStepsInstance

    public Object getStepsInstance()

### getMethodSignature

    public String getMethodSignature()

  Method signature without "public void" prefix

  Returns:
    The method signature in String format

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Stepdoc that)

  Specified by:
    `compareTo` in interface `Comparable<Stepdoc>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.